Submit machine account creation request
POST/account-requests/v2/machine-account-create
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Submits a machine account creation request on the account-requests API. This operation accepts the same request and runs the same creation process as Create Machine Account. Use this operation when the integration already calls the account-requests APIs. New integrations should call Create Machine Account.
This method validates the input data, processes the machine account creation request, and returns an asynchronous result containing a tracking ID.
Compared with v1, this version:
- Accepts a
sourceIdso you can choose the source to create the account on. When subtypes can be configured per source for the tenant,sourceIdis required and the subtype must be available on that source. - Accepts
entitlements, which lets you add a comment, start date, and remove date to each requested entitlement. - Supports subtypes that are not tied to a single source. Version 1 rejects those subtypes.
There is no v2 status endpoint. Use the returned accountRequestId with Get Machine Account Creation Request to track the request.
This API returns 403 when machine identity creation is not included in the tenant's plan. When machine account creation is not enabled for the tenant, this API returns 404.
NOTE: You can only request a machine account on a subtype for which you have a create machine account entitlement provisioned. Otherwise, this API returns
403.
Request
Responses
- 202
- 400
- 401
- 403
- 404
- 429
- 500
Machine account creation request result.
Client Error - Returned if the request body is invalid.
Unauthorized - Returned if there is no authorization header, or if the JWT token is expired.
Forbidden - Returned if the user you are running as, doesn't have access to this end-point.
Not Found - returned if the request URL refers to a resource or object that does not exist
Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again.
Internal Server Error - Returned if there is an unexpected error.